Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class FindDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.apache.batik.apps.svgbrowser.FindDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, ActionMap, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class FindDialog
extends javax.swing.JDialog
implements ActionMap

This class represents a Dialog that lets the user searching for text inside an SVG document.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `FindDialog.ClearButtonAction` The action associated to the 'clear' button.
`protected class` | `FindDialog.CloseButtonAction` The action associated to the 'close' button.
`protected class` | `FindDialog.FindButtonAction` The action associated to the 'find' button.

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static java.util.ResourceBundle` | `bundle` The resource bundle
`protected ButtonFactory` | `buttonFactory` The button factory
`protected javax.swing.JCheckBox` | `caseSensitive` The case sensitive button.
`static java.lang.String` | `CLEAR_ACTION`
`protected javax.swing.JButton` | `clearButton` The next button.
`static java.lang.String` | `CLOSE_ACTION`
`protected javax.swing.JButton` | `closeButton` The cancel button.
`protected int` | `currentIndex` The current index in the TextNode's string.
`static java.lang.String` | `FIND_ACTION`
`protected javax.swing.JButton` | `findButton` The next button.
`protected GraphicsNode` | `gvtRoot` The GVT root into which text is searched.
`protected javax.swing.JRadioButton` | `highlightButton` The highlight button.
`protected javax.swing.JRadioButton` | `highlightCenterButton` The highlight and center button.
`protected javax.swing.JRadioButton` | `highlightCenterZoomButton` The highlight center and zoom button.
`protected java.util.Map` | `listeners` The map that contains the listeners
`protected static ResourceManager` | `resources` The resource manager
`protected static java.lang.String` | `RESOURCES` The resource file name
`protected javax.swing.JTextField` | `search` The TextField that owns the text to search.
`protected JSVGCanvas` | `svgCanvas` The canvas.
`protected GVTTreeWalker` | `walker` The GVTTreeWalker used to scan the GVT Tree.

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FindDialog(java.awt.Frame owner, JSVGCanvas svgCanvas)` Constructs a new `FindDialog`.
`FindDialog(JSVGCanvas svgCanvas)` Constructs a new `FindDialog`.

Method Summary
`protected javax.swing.JPanel` | `createButtonsPanel()` Creates the buttons panel
`protected javax.swing.JPanel` | `createFindPanel()` Creates the Find panel.
`protected javax.swing.JPanel` | `createShowResultPanel()`
`javax.swing.Action` | `getAction(java.lang.String key)` Returns the action associated with the given string or null on error
`protected GraphicsNode` | `getNext(java.lang.String text)` Returns the next GraphicsNode that matches the specified string or null if any.
`protected int` | `match(GraphicsNode node, java.lang.String text, int index)` Returns the index inside the specified TextNode of the specified text, or -1 if not found.
`void` | `setGraphicsNode(GraphicsNode gvtRoot)` Sets the graphics node into which text is searched.
`protected void` | `showSelectedGraphicsNode()` Shows the current selected `TextNode`.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final java.lang.String RESOURCES

  The resource file name

  See Also:
    Constant Field Values

### FIND_ACTION

    public static final java.lang.String FIND_ACTION

See Also:
  Constant Field Values

### CLEAR_ACTION

    public static final java.lang.String CLEAR_ACTION

See Also:
  Constant Field Values

### CLOSE_ACTION

    public static final java.lang.String CLOSE_ACTION

See Also:
  Constant Field Values

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### buttonFactory

    protected ButtonFactory buttonFactory

  The button factory

### gvtRoot

    protected GraphicsNode gvtRoot

  The GVT root into which text is searched.

### walker

    protected GVTTreeWalker walker

  The GVTTreeWalker used to scan the GVT Tree.

### currentIndex

    protected int currentIndex

  The current index in the TextNode's string.

### search

    protected javax.swing.JTextField search

  The TextField that owns the text to search.

### findButton

    protected javax.swing.JButton findButton

  The next button.

### clearButton

    protected javax.swing.JButton clearButton

  The next button.

### closeButton

    protected javax.swing.JButton closeButton

  The cancel button.

### caseSensitive

    protected javax.swing.JCheckBox caseSensitive

  The case sensitive button.

### svgCanvas

    protected JSVGCanvas svgCanvas

  The canvas.

### highlightButton

    protected javax.swing.JRadioButton highlightButton

  The highlight button.

### highlightCenterButton

    protected javax.swing.JRadioButton highlightCenterButton

  The highlight and center button.

### highlightCenterZoomButton

    protected javax.swing.JRadioButton highlightCenterZoomButton

  The highlight center and zoom button.

### listeners

    protected java.util.Map listeners

  The map that contains the listeners

Constructor Detail

### FindDialog

    public FindDialog(JSVGCanvas svgCanvas)

  Constructs a new `FindDialog`.

### FindDialog

    public FindDialog(java.awt.Frame owner,
                      JSVGCanvas svgCanvas)

  Constructs a new `FindDialog`.

Method Detail

### createFindPanel

    protected javax.swing.JPanel createFindPanel()

  Creates the Find panel.

### createShowResultPanel

    protected javax.swing.JPanel createShowResultPanel()

### createButtonsPanel

    protected javax.swing.JPanel createButtonsPanel()

  Creates the buttons panel

### setGraphicsNode

    public void setGraphicsNode(GraphicsNode gvtRoot)

  Sets the graphics node into which text is searched.

  Parameters:
    `gvtRoot` - the GVT root node

### getNext

    protected GraphicsNode getNext(java.lang.String text)

  Returns the next GraphicsNode that matches the specified string or null if any.

  Parameters:
    `text` - the text to match

### match

    protected int match(GraphicsNode node,
                        java.lang.String text,
                        int index)

  Returns the index inside the specified TextNode of the specified text, or -1 if not found.

  Parameters:
    `node` - the graphics node to check
    `text` - the text use to match
    `index` - the index from which to start

### showSelectedGraphicsNode

    protected void showSelectedGraphicsNode()

  Shows the current selected `TextNode`.

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error

  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.